Unable to do Manual Install for Visual Studio 2010

Topics: Core, Installing Orchard
Jul 24, 2013 at 3:32 AM

This is my first ever install of Orchard Project. I am trying to do a manual installation. According to the website, all I need is Visual Studio 2010 and MVC 3 which I have installed. However, when I try to open the solution file, I get the following error:

The selected file is a solution file, but was created by a newer version of this application and cannot be opened.

I've looked inside the .sln file, and it turns out it's for Visual Studio 2012. So what is the story then? Can I do a manual install on Visual Studio 2010? Is there another package I should be using? I've been trying to follow the instructions on the website but to no avail.

Jul 24, 2013 at 5:36 AM
I was able to open the project using this solution:


However, I am still wondering if there is a "proper" way to be doing this...
Jul 24, 2013 at 8:23 AM
If you have no VS2012, may be web Matrix should be Ok rather than VS2010
Jul 25, 2013 at 1:23 AM
Since Orchard uses .NET 4 and MVC 3, both of which are supported by VS2010, is there any reason not to use it? I have been able to open the project and subsequently publish it live without any problems using the method above. I just want to make sure it doesn't come back to bite me later.